Subject: bug#25252: GNU coreutils 8.21 / cp

From: "Robert Gruber" <[email-masked]>
Date: Fri, 23 Dec 2016 08:14:04 +0100 (CET)

Hello!

I would suggest to add an option --sync for the copy command:

cp -au --sync . /DEST

The parameter -au works perfect except in the case the command is
cancelled for some reason during the process and restarted again. In such
case there is at least one destination file which is smaller then the
source file and this file stays smaller because the second start of the
command recognizes already that the file is present but it should be
copied again.

Kind regards and merry christmas,
Robert Gruber